<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PySpottedUnipd: /home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/text/cli.py File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PySpottedUnipd
   &#160;<span id="projectnumber">0.0.2</span>
   </div>
   <div id="projectbrief">Figure out how you can find your sweet half or how to get attention and get liked in one of the most popular @Unipd facebook pages.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('text_2cli_8py.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">cli.py File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="text_2cli_8py_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacepyspottedunipd_1_1text_1_1cli"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1text_1_1cli.html">pyspottedunipd.text.cli</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:af3534bcd3c0c03414454f2d74f4fb91f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1text_1_1cli.html#af3534bcd3c0c03414454f2d74f4fb91f">pyspottedunipd.text.cli.create_args</a> ()</td></tr>
<tr class="separator:af3534bcd3c0c03414454f2d74f4fb91f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84fdc44624dbbeba8df0e39cecdb0cea"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1text_1_1cli.html#a84fdc44624dbbeba8df0e39cecdb0cea">pyspottedunipd.text.cli.parse_args</a> (parser)</td></tr>
<tr class="separator:a84fdc44624dbbeba8df0e39cecdb0cea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3485b2f8d2119eb72c59aef8d0a0864"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1text_1_1cli.html#aa3485b2f8d2119eb72c59aef8d0a0864">pyspottedunipd.text.cli.check_args</a> (path_in)</td></tr>
<tr class="separator:aa3485b2f8d2119eb72c59aef8d0a0864"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c02ddc4e9df3619bb465489928c8ada"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1text_1_1cli.html#a6c02ddc4e9df3619bb465489928c8ada">pyspottedunipd.text.cli.get_words</a> (string, min_length=0, blacklist=[])</td></tr>
<tr class="separator:a6c02ddc4e9df3619bb465489928c8ada"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe221348bdf05b1fa87890755f95017b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1text_1_1cli.html#afe221348bdf05b1fa87890755f95017b">pyspottedunipd.text.cli.get_words_in_file</a> (path_in)</td></tr>
<tr class="separator:afe221348bdf05b1fa87890755f95017b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24afe22f8aef59c504d5dbfbad61ace1"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1text_1_1cli.html#a24afe22f8aef59c504d5dbfbad61ace1">pyspottedunipd.text.cli.get_words_count</a> (words)</td></tr>
<tr class="separator:a24afe22f8aef59c504d5dbfbad61ace1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afabc2bcd2cf6873c7ca491f93af53c73"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1text_1_1cli.html#afabc2bcd2cf6873c7ca491f93af53c73">pyspottedunipd.text.cli.get_top_words</a> (words, n=10)</td></tr>
<tr class="separator:afabc2bcd2cf6873c7ca491f93af53c73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acca7efbea223e97a06e0d8f12b68ed5f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1text_1_1cli.html#acca7efbea223e97a06e0d8f12b68ed5f">pyspottedunipd.text.cli.get_top_words_in_file</a> (path_in, blacklist_file, n=30)</td></tr>
<tr class="separator:acca7efbea223e97a06e0d8f12b68ed5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8141223c058b14849dfe02f13d104c3a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1text_1_1cli.html#a8141223c058b14849dfe02f13d104c3a">pyspottedunipd.text.cli.main</a> ()</td></tr>
<tr class="separator:a8141223c058b14849dfe02f13d104c3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a0c5d9fc1baded062989ee03a682b246d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1text_1_1cli.html#a0c5d9fc1baded062989ee03a682b246d">pyspottedunipd.text.cli.WORDS_BLACKLIST_FIlE</a></td></tr>
<tr class="separator:a0c5d9fc1baded062989ee03a682b246d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_cadfa51a49c9afcc310fa35ae151bb00.html">pyspottedunipd</a></li><li class="navelem"><a class="el" href="dir_1d65bae9fed8305753c4daf6325a4548.html">text</a></li><li class="navelem"><a class="el" href="text_2cli_8py.html">cli.py</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
